Subject: Re: perl-5.8.0-RC2 (second Perl release candidate) for Cygwin is available
From: "Gerrit P. Haase" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Date: Sun, 23 Jun 2002 23:39:29 +0200

I have problems fetching my mail the last two hours so I don't know
if Nicholas already announced that he has finished mirroring, so I
thought I tell you anyway, the mirror is up again and you can point
setup.exe to http://today.clemson.edu/cygwin in addition to the below
mentioned URL.

Gerrit

> 2002-06-23

> The first Cygwin release of the second perl-5.8 release candidate is
> available for testing.

> ==
> Fetch the Cygwin version here:
> http://koeln.convey.de/cywgin/perl/

> Or point setup.exe to http://koeln.convey.de/cywgin

> ==
> I linked this version against Berkeley DB 4.0.14, you want to rebuild
> Perl from source yourself if you want it without DB4, with DB3 instead
> of DB4, or you need to install DB 4 too:
> http://koeln.convey.de/cywgin/db/

> Or point setup.exe to http://koeln.convey.de/cywgin

> (Should work with an existing DB 4 installation too)

> REALLY IMPORTANT:
> =================
> DB4 is not yet available as Cygwin package but this is the version
> that will be released in a few days, so this is also a release
> candidate just like Perl.  This new DB4 package is split up in three
> packages, db which includes just docu, libdb4.0 which includes the
> dll's and the executables and libdb4.0-devel which includes the
> importlibs and headers.

> ==
> Please take some minutes to read the Perl RC2 announcement
> http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC2.html
> while you fetch the binary or source or all tarballs.

> Perl-5.8.0-RC2:
> http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC2-1-src.tar.bz2
> http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC2-1.tar.bz2

> DB-4.0.14:
> http://koeln.convey.de/cywgin/db/db-4.0.14-4-src.tar.bz2
> http://koeln.convey.de/cywgin/db/libdb4/libdb4.0-4.0.14-4.tar.bz2
> http://koeln.convey.de/cywgin/db/libdb4-devel/libdb4.0-devel-4.0.14-4.tar.bz2

> Or point setup.exe to http://koeln.convey.de/cywgin

> NOTE:
> =====
> The server in Cologne has only limited bandwidth (144kbit), so if
> someone is able to fetch the tarballs and can provide a mirror
> please do so and tell us about the URL in reply to this mail,
> others please watch out for replies with mirror offerings and please
> make use of them if there are some, thanks;)
> =====

> The Cygwin Perl source package contains the original source tarball:

> The size of the original source file is 10913451 bytes and the MD5
> checksum for the file is

>         8921b99874bf4b1daba7daba3ff70e4a  perl-5.8.0-RC2.tgz

> ==
> If you want to build from source and have already downloaded
> the original tarball you may fetch just my build scripts
> (see URL in the RC2 Announcement to fetch original Perl, link above):

> My scripts:
> ===========
> http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC2-scripts.tgz

> Use my scripts:
> ===============
>  - unpack it in an empty directory together with the RC2 tarball
>  - call ./build.sh to ./Configure, make and install perl-5.8.0-RC2
>  - modify the script if you don't want to install it or if you want
>    other flags or: look into the script and execute the various
>    commands manually
>  - the makepkg.sh script is for making dist tarballs, please note
>    that this will also install Perl into the final location and will
>    clobber your existing perl.exe et. al.
> ==

> Please test extensively.

> Your help in testing the upcoming perl 5.8.0 is much appreciated.

> ==
> The Cygwin Perl RC2 source tarball contains also my buildlogs.
> `make test' passes all tests without failure: All tests successful.

> There are two tests failing for me today in the perl harness run...
> alarm.t fails randomly, openpid.t is failing cause I don't know...
> Failed 2/708 test scripts, 99.72% okay. 2/64979 subtests failed, 100.00% okay.
> Failed Test  Stat Wstat Total Fail  Failed  List of Failed
> ------------------------------------------------------------------------------
> io/openpid.t               10    1  10.00%  8
> op/alarm.t                  4    1  25.00%  2

> It should be possible to get harness test runs without failings.
> ==

> And:
> ====
> THIS IS A REAL NEW PERL RELEASE THAT IS BINARY INCOMPATIBLE WITH ANY
> PREVIOUS PERL RELEASE.  THIS MEANS THAT YOUR OLD EXTENSIONS (.xs code,
> those Perl modules requiring a C compiler) WILL NOT WORK AND WILL HAVE
> TO BE RECOMPILED.  (Pure Perl modules should continue working.)

> INSTALLING THIS PERL RELEASE WILL OVERWRITE YOUR CURRENT PERL RELEASE.
> (For example, /usr/bin/perl will become Perl 5.8.0.)

> DO NOT INSTALL THIS INTO PRODUCTION USE UNLESS YOU REALLY MEAN IT.
> ====

> I got also this note during Storable compilation which may be of
> additional interest:

> You appear to have a perl configured to use 64 bit integers in its
> scalar variables.  If you have existing data written with an earlier
> version of Storable which this version of Storable refuses to load
> with a

>    Byte order is not compatible

> error, then please read the section "64 bit data in perl 5.6.0 and
> 5.6.1" in the Storable documentation for instructions on how to read
> your data.

> (You can find the documentation at the end of Storable.pm in POD
> format)

> $ perl -V
> Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration:
>   Platform:
>     osname=cygwin, osvers=1.3.11(0.5332), archname=cygwin-multi-64int
>     uname='cygwin_nt-4.0 loreley 1.3.11(0.5332) 2002-06-19 21:00 i686 unknown '
>     config_args='-de -Dmksymlinks -Dusemultiplicity -Duse64bitint -Doptimize=-O2'
>     hint=recommended, useposix=true, d_sigaction=define
>     usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=define
>     useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
>     use64bitint=define use64bitall=undef uselongdouble=undef
>     usemymalloc=y, bincompat5005=undef
>   Compiler:
>     cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include',
>     optimize='-O2',
>     cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include'
>     ccversion='', gccversion='2.95.3-5 (cygwin special)', gccosandvers=''
>     intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678
>     d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
>     ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=4
>     alignbytes=8, prototype=define
>   Linker and Libraries:
>     ld='ld2', ldflags =' -L/usr/local/lib'
>     libpth=/usr/local/lib /usr/lib /lib
>     libs=-lgdbm -ldb -lcrypt -lutil
>     perllibs=-lcrypt -lutil
>     libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl.a
>     gnulibc_version=''
>   Dynamic Linking:
>     dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' '
>     cccdlflags=' ', lddlflags=' -L/usr/local/lib'

> Characteristics of this binary (from libperl): 
>   Compile-time options: MULTIPLICITY USE_64_BIT_INT USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
>   Built under cygwin
>   Compiled at Jun 23 2002 00:14:06
>   %ENV:
>     CYGWIN="ntsec binmode tty nowinsymlinks"
>   @INC:
>     /usr/lib/perl5/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/5.8.0
>     /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/site_perl/5.8.0
>     /usr/lib/perl5/site_perl
>     .

> Have fun!

> Gerrit

-- 
"All faults& bugs are mine - Robert"
    from squid/acinclude.m4,   Sun Apr 21 05:21:21 2002

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/